package com.blueland.ebpm.home.model;

import java.util.Date;

import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.Length;

/**
 * @author Administrator
 *
 */
public class UserEntity {

	// columns START
	/**
	 * 员工ID-唯一标识员工对象id db_column: staff_id
	 */
	private String staffId;

	/**
	 * 人资HR员工编号 db_column: staff_hr_id
	 */
	private String staffHrId;

	/**
	 * 姓名 db_column: staff_name
	 */
	private String staffName;
//	/**
//	 * 英文名 db_column: staff_en_name
//	 */
//	@Length(max = 100)
//	private String staffEnName;
	/**
	 * 组织机构UUID db_column: org_id
	 */
	private String orgId;
	/**
	 * 组织机构名称 db_column: org_name
	 */
	private String orgName;
	/**
	 * 员工姓名的全拼 db_column: staff_spells
	 */
	private String staffSpells;
	/**
	 * 员工姓名的简拼 db_column: staff_short_spells
	 */
	private String staffShortSpells;
	/**
	 * 员工工号，如：01821
	 */
	private String staffNum;
	/**
	 * 员工工号，如：01821
	 */
	private String staffShortNum;
	/**
	 * 岗位UUID db_column: position_id
	 */
	private String positionId;
	/**
	 * 岗位名称 db_column: position_name
	 */
	private String positionName;
	/**
	 * 性别-N:男，V:女 db_column: staff_sex
	 */
	private String staffSex;
//	/**
//	 * 年龄-年龄 db_column: staff_age
//	 */
//	private Integer staffAge;
//	/**
//	 * 证件类型,如:身份证，驾照，护照等 db_column: staff_paperwork_type
//	 */
//	@Length(max = 100)
//	private String staffPaperworkType;
//	/**
//	 * 身份证号，遵循中国身份证标准 db_column: staff_paperwork_num
//	 */
//	@Length(max = 100)
//	private String staffPaperworkNum;
	/**
	 * 邮件地址 db_column: staff_mail
	 */
	private String staffMail;
	/**
	 * 常用手机 db_column: staff_mobile
	 */
	private String staffMobile;
//	/**
//	 * 备用手机 db_column: staff_mobile_bak
//	 */
//	@Length(max = 100)
//	private String staffMobileBak;
	/**
	 * 传真(该字段传的是上级人工号)
	 */
	private String staffFax;
	
	//20220310 zt add 上级人工号
	private String bossNum;
	
//	/**
//	 * 短号码 db_column: staff_short_fax
//	 */
//	@Length(max = 100)
//	private String staffShortFax;
	/**
	 * 企业微信id db_column: staff_wechart
	 */
	private String staffWechart;
//	/**
//	 * 家庭住址 db_column: staff_home_address
//	 */
//	@Length(max = 1000)
//	private String staffHomeAddress;
//	/**
//	 * 家庭电话 db_column: staff_home_phone
//	 */
//	@Length(max = 100)
//	private String staffHomePhone;
//	/**
//	 * 办公地址 db_column: staff_work_address
//	 */
//	@Length(max = 1000)
//	private String staffWorkAddress;
//	/**
//	 * 办公电话 db_column: staff_work_phone
//	 */
//	@Length(max = 100)
//	private String staffWorkPhone;
//	/**
//	 * 护照号 db_column: staff_passport
//	 */
//	@Length(max = 100)
//	private String staffPassport;
//	/**
//	 * 民族 db_column: staff_nation
//	 */
//	@Length(max = 100)
//	private String staffNation;
//	/**
//	 * 政治面貌 db_column: staff_political_status
//	 */
//	@Length(max = 100)
//	private String staffPoliticalStatus;
//	/**
//	 * 籍贯 db_column: staff_native_place
//	 */
//	@Length(max = 200)
//	private String staffNativePlace;
	/**
	 * 排序 db_column: staff_sort
	 */
	private Integer staffSort;
	/**
	 * 员工状态 启用：QY 禁用：JY db_column: staff_status
	 */
	private String staffStatus;
//	/**
//	 * 员工类型-1、编制内员工 2、编制外员工 db_column: staff_work_type
//	 */
//	@Length(max = 20)
//	private String staffWorkType;
	/**
	 * 是否临时账号-正常：ZC，临时：LS  db_column: staff_account_type
	 */
	private String staffAccountType;
	/**
	 * 员工类型，GYGS：工业公司, ，SYGS：商业公司， LSH：零售户(场所) ，XFZ：消费者 ，GYS：供应商 db_column:
	 * staff_type
	 */
	private String staffType;
	
	/**
	 * 员工类型，GYGS：工业公司, ，SYGS：商业公司， LSH：零售户(场所) ，XFZ：消费者 ，GYS：供应商 db_column:
	 * staff_type
	 */
	private String staffSubType;
	/**
	 * 创建人 db_column: staff_creator
	 */
	private String staffCreator;
	/**
	 * 创建时间 db_column: staff_create_time
	 */
	private Date staffCreateTime;
	/**
	 * 修改人 db_column: staff_updator
	 */
	private String staffUpdator;
	/**
	 * 最后修改时间 db_column: staff_lastupdate_time
	 */
	private Date staffLastupdateTime;

//	/**
//	 * 职位HrId db_column: position_hr_id
//	 */
//	@Length(max = 100)
//	private String positionHrId;

//	/**
//	 * 是否是主身份,Y 是、N 否 冗余字段
//	 */
//	private String mainIdentityStatus;

//	/**
//	 * 是否是当前身份,Y 是、N 否 冗余字段
//	 */
//	private String currentIdentityStatus;
	/**
	 * 公司ID
	 */
	private String companyId;
	/**
	 * 公司名称
	 */
	private String companyName;
	/**
	 * 部门ID
	 */
	private String deptId;
	/**
	 * 部门名称
	 */
	private String deptName;
	// columns END
	// 零售户名称
//	private String retailName;
	// 省编号
//	private String provinceId;
	// 市编号
//	private String cityId;
	// 区编号
//	private String areaId;
	// 员工登录账号，主账号
	private String staffCode;
	// 人员生日
	private Date staffBirthday;
	// 员工状态 db_column: staff_job_status
	private String staffJobStatus;
	
	// 任岗编码（唯一值，岗位编码_工号）
	private String staffPostCode;
	
	// 任岗类型（主岗main, 兼岗 parttime）
	private String staffPostType;
//	/**
//	 * 学历 db_column: staff_education 11-研究生教育 12-博士研究生 13-硕士研究生 14-研究生班 15-研究生课程班
//	 * 16-中央党校研究生 17-省(区、市)委党校研究生 18-本科 19-大学 20-大专及以下 21-大学普通班 22-第二学士学位班 23-中央党校大学
//	 * 24-省(区、市)委党校大学 25-中央党校大专 26-省(区、市)委党校大专 27-大专专业证书 28-中等职业学校 29-中专 30-职高 31-技校
//	 * 32-普通高中 33-普通高中 34-初中 35-初中 36-小学
//	 */
//	private String staffEducation;

//	/**
//	 * 退休时间 db_column: staff_retired_time
//	 */
//	private Date staffRetiredTime;

//	/**
//	 * 查询条件，冗余字段，数据库中不存在 Y代表投资公司的员工，N或者空代表非投资公司员工
//	 */
//	private String isTzgs;

//	// 是否已经创建标识
//	private String isCreate;

	// 冗余字段（查询条件），只查询该组织下主身份的员工
//	private String mainIdentityStaff;
	
	// 冗余字段（查询条件）
//	private String queryStaff ;
	
//	private String queryOrgId;
	// 冗余字段（当前员工的职位）
//	private String currentPositionId;
	
	public UserEntity() {
	}
	
	public String getStaffId() {
		return staffId;
	}

	public void setStaffId(String staffId) {
		this.staffId = staffId;
	}

	public String getStaffHrId() {
		return staffHrId;
	}

	public void setStaffHrId(String staffHrId) {
		this.staffHrId = staffHrId;
	}

	public String getStaffName() {
		return staffName;
	}

	public void setStaffName(String staffName) {
		this.staffName = staffName;
	}

//	public String getStaffEnName() {
//		return staffEnName;
//	}
//
//	public void setStaffEnName(String staffEnName) {
//		this.staffEnName = staffEnName;
//	}

	public String getOrgId() {
		return orgId;
	}

	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}

	public String getStaffSpells() {
		return staffSpells;
	}

	public void setStaffSpells(String staffSpells) {
		this.staffSpells = staffSpells;
	}

	public String getStaffShortSpells() {
		return staffShortSpells;
	}

	public void setStaffShortSpells(String staffShortSpells) {
		this.staffShortSpells = staffShortSpells;
	}

	public String getStaffNum() {
		return staffNum;
	}

	public void setStaffNum(String staffNum) {
		this.staffNum = staffNum;
	}

	public String getStaffShortNum() {
		return staffShortNum;
	}

	public void setStaffShortNum(String staffShortNum) {
		this.staffShortNum = staffShortNum;
	}

	public String getPositionId() {
		return positionId;
	}

	public void setPositionId(String positionId) {
		this.positionId = positionId;
	}

	public String getPositionName() {
		return positionName;
	}

	public void setPositionName(String positionName) {
		this.positionName = positionName;
	}

	public String getStaffSex() {
		return staffSex;
	}

	public void setStaffSex(String staffSex) {
		this.staffSex = staffSex;
	}

//	public Integer getStaffAge() {
//		return staffAge;
//	}
//
//	public void setStaffAge(Integer staffAge) {
//		this.staffAge = staffAge;
//	}

//	public String getStaffPaperworkType() {
//		return staffPaperworkType;
//	}
//
//	public void setStaffPaperworkType(String staffPaperworkType) {
//		this.staffPaperworkType = staffPaperworkType;
//	}

//	public String getStaffPaperworkNum() {
//		return staffPaperworkNum;
//	}
//
//	public void setStaffPaperworkNum(String staffPaperworkNum) {
//		this.staffPaperworkNum = staffPaperworkNum;
//	}

	public String getStaffMail() {
		return staffMail;
	}

	public void setStaffMail(String staffMail) {
		this.staffMail = staffMail;
	}

	public String getStaffMobile() {
		return staffMobile;
	}

	public void setStaffMobile(String staffMobile) {
		this.staffMobile = staffMobile;
	}

//	public String getStaffMobileBak() {
//		return staffMobileBak;
//	}
//
//	public void setStaffMobileBak(String staffMobileBak) {
//		this.staffMobileBak = staffMobileBak;
//	}

	public String getStaffFax() {
		return staffFax;
	}

	public void setStaffFax(String staffFax) {
		this.staffFax = staffFax;
	}

//	public String getStaffShortFax() {
//		return staffShortFax;
//	}
//
//	public void setStaffShortFax(String staffShortFax) {
//		this.staffShortFax = staffShortFax;
//	}

	public String getBossNum() {
		return bossNum;
	}

	public void setBossNum(String bossNum) {
		this.bossNum = bossNum;
	}

	public String getStaffWechart() {
		return staffWechart;
	}

	public void setStaffWechart(String staffWechart) {
		this.staffWechart = staffWechart;
	}

//	public String getStaffHomeAddress() {
//		return staffHomeAddress;
//	}
//
//	public void setStaffHomeAddress(String staffHomeAddress) {
//		this.staffHomeAddress = staffHomeAddress;
//	}

//	public String getStaffHomePhone() {
//		return staffHomePhone;
//	}
//
//	public void setStaffHomePhone(String staffHomePhone) {
//		this.staffHomePhone = staffHomePhone;
//	}

//	public String getStaffWorkAddress() {
//		return staffWorkAddress;
//	}
//
//	public void setStaffWorkAddress(String staffWorkAddress) {
//		this.staffWorkAddress = staffWorkAddress;
//	}

//	public String getStaffWorkPhone() {
//		return staffWorkPhone;
//	}
//
//	public void setStaffWorkPhone(String staffWorkPhone) {
//		this.staffWorkPhone = staffWorkPhone;
//	}

//	public String getStaffPassport() {
//		return staffPassport;
//	}
//
//	public void setStaffPassport(String staffPassport) {
//		this.staffPassport = staffPassport;
//	}

//	public String getStaffNation() {
//		return staffNation;
//	}
//
//	public void setStaffNation(String staffNation) {
//		this.staffNation = staffNation;
//	}

//	public String getStaffPoliticalStatus() {
//		return staffPoliticalStatus;
//	}
//
//	public void setStaffPoliticalStatus(String staffPoliticalStatus) {
//		this.staffPoliticalStatus = staffPoliticalStatus;
//	}

//	public String getStaffNativePlace() {
//		return staffNativePlace;
//	}
//
//	public void setStaffNativePlace(String staffNativePlace) {
//		this.staffNativePlace = staffNativePlace;
//	}

	public Integer getStaffSort() {
		return staffSort;
	}

	public void setStaffSort(Integer staffSort) {
		this.staffSort = staffSort;
	}

	public String getStaffStatus() {
		return staffStatus;
	}

	public void setStaffStatus(String staffStatus) {
		this.staffStatus = staffStatus;
	}

//	public String getStaffWorkType() {
//		return staffWorkType;
//	}
//
//	public void setStaffWorkType(String staffWorkType) {
//		this.staffWorkType = staffWorkType;
//	}

	public String getStaffAccountType() {
		return staffAccountType;
	}

	public void setStaffAccountType(String staffAccountType) {
		this.staffAccountType = staffAccountType;
	}

	public String getStaffType() {
		return staffType;
	}

	public void setStaffType(String staffType) {
		this.staffType = staffType;
	}

	public String getStaffSubType() {
		return staffSubType;
	}

	public void setStaffSubType(String staffSubType) {
		this.staffSubType = staffSubType;
	}

	public String getStaffCreator() {
		return staffCreator;
	}

	public void setStaffCreator(String staffCreator) {
		this.staffCreator = staffCreator;
	}

	public Date getStaffCreateTime() {
		return staffCreateTime;
	}

	public void setStaffCreateTime(Date staffCreateTime) {
		this.staffCreateTime = staffCreateTime;
	}

	public String getStaffUpdator() {
		return staffUpdator;
	}

	public void setStaffUpdator(String staffUpdator) {
		this.staffUpdator = staffUpdator;
	}

	public Date getStaffLastupdateTime() {
		return staffLastupdateTime;
	}

	public void setStaffLastupdateTime(Date staffLastupdateTime) {
		this.staffLastupdateTime = staffLastupdateTime;
	}

//	public String getPositionHrId() {
//		return positionHrId;
//	}
//
//	public void setPositionHrId(String positionHrId) {
//		this.positionHrId = positionHrId;
//	}

//	public String getMainIdentityStatus() {
//		return mainIdentityStatus;
//	}
//
//	public void setMainIdentityStatus(String mainIdentityStatus) {
//		this.mainIdentityStatus = mainIdentityStatus;
//	}

//	public String getCurrentIdentityStatus() {
//		return currentIdentityStatus;
//	}
//
//	public void setCurrentIdentityStatus(String currentIdentityStatus) {
//		this.currentIdentityStatus = currentIdentityStatus;
//	}

	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}

	public String getCompanyName() {
		return companyName;
	}

	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}

	public String getDeptId() {
		return deptId;
	}

	public void setDeptId(String deptId) {
		this.deptId = deptId;
	}

	public String getDeptName() {
		return deptName;
	}

	public void setDeptName(String deptName) {
		this.deptName = deptName;
	}

//	public String getRetailName() {
//		return retailName;
//	}
//
//	public void setRetailName(String retailName) {
//		this.retailName = retailName;
//	}

//	public String getProvinceId() {
//		return provinceId;
//	}
//
//	public void setProvinceId(String provinceId) {
//		this.provinceId = provinceId;
//	}

//	public String getCityId() {
//		return cityId;
//	}
//
//	public void setCityId(String cityId) {
//		this.cityId = cityId;
//	}

//	public String getAreaId() {
//		return areaId;
//	}
//
//	public void setAreaId(String areaId) {
//		this.areaId = areaId;
//	}

	public String getStaffCode() {
		return staffCode;
	}

	public void setStaffCode(String staffCode) {
		this.staffCode = staffCode;
	}

	public Date getStaffBirthday() {
		return staffBirthday;
	}

	public void setStaffBirthday(Date staffBirthday) {
		this.staffBirthday = staffBirthday;
	}

	public String getStaffJobStatus() {
		return staffJobStatus;
	}

	public void setStaffJobStatus(String staffJobStatus) {
		this.staffJobStatus = staffJobStatus;
	}

	public String getStaffPostCode() {
		return staffPostCode;
	}

	public void setStaffPostCode(String staffPostCode) {
		this.staffPostCode = staffPostCode;
	}

	public String getStaffPostType() {
		return staffPostType;
	}

	public void setStaffPostType(String staffPostType) {
		this.staffPostType = staffPostType;
	}
	
//	public String getStaffEducation() {
//		return staffEducation;
//	}
//
//	public void setStaffEducation(String staffEducation) {
//		this.staffEducation = staffEducation;
//	}

//	public Date getStaffRetiredTime() {
//		return staffRetiredTime;
//	}
//
//	public void setStaffRetiredTime(Date staffRetiredTime) {
//		this.staffRetiredTime = staffRetiredTime;
//	}

//	public String getIsTzgs() {
//		return isTzgs;
//	}
//
//	public void setIsTzgs(String isTzgs) {
//		this.isTzgs = isTzgs;
//	}

//	public String getIsCreate() {
//		return isCreate;
//	}
//
//	public void setIsCreate(String isCreate) {
//		this.isCreate = isCreate;
//	}

//	public String getMainIdentityStaff() {
//		return mainIdentityStaff;
//	}
//
//	public void setMainIdentityStaff(String mainIdentityStaff) {
//		this.mainIdentityStaff = mainIdentityStaff;
//	}

//	public String getQueryStaff() {
//		return queryStaff;
//	}
//
//	public void setQueryStaff(String queryStaff) {
//		this.queryStaff = queryStaff;
//	}

//	public String getQueryOrgId() {
//		return queryOrgId;
//	}
//
//	public void setQueryOrgId(String queryOrgId) {
//		this.queryOrgId = queryOrgId;
//	}

//	public String getCurrentPositionId() {
//		return currentPositionId;
//	}
//
//	public void setCurrentPositionId(String currentPositionId) {
//		this.currentPositionId = currentPositionId;
//	}

//	public Staff(String staffId, String staffName, String orgId, String orgName) {
//		this.staffId = staffId;
//		this.staffName = staffName;
//		this.orgId = orgId;
//		this.orgName = orgName;
//	}

}
